> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Agree to Number Reputation Terms of Service

> Accept the Terms of Service for the Number Reputation product. Must be called before using Number Reputation endpoints.

Returns `400` with error code `10015` if the user has already agreed to the current ToS version.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/number-reputation/settings.yml post /terms_of_service/number_reputation/agree
openapi: 3.1.0
info:
  title: Telnyx Number Reputation Settings API
  version: 2.0.0
  description: >-
    Enable, configure, and manage Number Reputation monitoring for your
    enterprise. Control auto-refresh frequency and manage the reputation
    monitoring lifecycle.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /terms_of_service/number_reputation/agree:
    post:
      tags:
        - Terms of Service
      summary: Agree to Number Reputation Terms of Service
      description: >-
        Accept the Terms of Service for the Number Reputation product. Must be
        called before using Number Reputation endpoints.


        Returns `400` with error code `10015` if the user has already agreed to
        the current ToS version.
      operationId: AgreeNumberReputationTermsOfService
      responses:
        '200':
          description: Terms of Service accepted successfully
        '400':
          $ref: '#/components/responses/BadRequestTelnyx'
          description: >-
            Bad request — e.g. user has already agreed to this Terms of Service
            version (error code 10015)
        '401':
          $ref: '#/components/responses/Unauthorized'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            await client.termsOfService.numberReputation.agree();
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            client.terms_of_service.number_reputation.agree()
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\terr := client.TermsOfService.NumberReputation.Agree(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.termsofservice.numberreputation.NumberReputationAgreeParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    client.termsOfService().numberReputation().agree();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            result = telnyx.terms_of_service.number_reputation.agree

            puts(result)
        - lang: CLI
          source: |-
            telnyx terms-of-service:number-reputation agree \
              --api-key 'My API Key'
components:
  responses:
    BadRequestTelnyx:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/branded-calling_ErrorResponse'
    Unauthorized:
      description: Unauthorized — missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/branded-calling_ErrorResponse'
    UnprocessableEntity:
      description: >-
        Unprocessable entity — request structure is valid but contains semantic
        errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/branded-calling_ErrorResponse'
  schemas:
    branded-calling_ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/TelnyxError'
    TelnyxError:
      type: object
      properties:
        code:
          type: string
          description: Telnyx error code
          example: '10015'
        title:
          type: string
          description: Short error title
          example: Bad Request
        detail:
          type: string
          description: Human-readable error detail
          example: User has already agreed to Terms of Service version v1.0.0
        meta:
          type: object
          properties:
            url:
              type: string
              format: uri
              description: Link to error documentation
        source:
          type: object
          description: Reference to the field that caused the error
          properties:
            pointer:
              type: string
              description: JSON pointer (RFC6901) to the field that caused the error
              example: /body/organization_type
      required:
        - code
        - title
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````